<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMPUSEEditView9Base from './emitempuseedit-view9-base.vue';

import view_form from '@widgets/emitem-puse/main5-form/main5-form.vue';

/**
 * 领料单
 *
 * @export
 * @class EMITEMPUSEEditView9
 * @extends {EMITEMPUSEEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMPUSEEditView9 extends EMITEMPUSEEditView9Base { }
</script>